module Fox
  #
  # Drive box
  #
  # === Events
  #
  # The following messages are sent by FXDriveBox to its target:
  #
  # +SEL_CHANGED+::	sent when the current item changes; the message data is the current drive
  # +SEL_COMMAND+::	sent when a new item is selected from the list; the message data is the drive
  #
  class FXDriveBox < FXListBox

    # Current drive [String]
    attr_accessor :drive

    # Returns an initialized FXDriveBox instance
    def initialize(p, nvis, tgt=nil, sel=0, opts=FRAME_SUNKEN|FRAME_THICK|LISTBOX_NORMAL, x=0, y=0, w=0, h=0, pl=DEFAULT_PAD, pr=DEFAULT_PAD, pt=DEFAULT_PAD, pb=DEFAULT_PAD) # :yields: theDriveBox
    end
  end
end

